Subject: [alpine-devel] new aport irssi

From: "Carlo Landmeter" <[email-masked]>
Date: Tue, 06 Jan 2009 15:51:00 +0000

Please review attached git patch.

Br,

Carlo

From caa20ffe8349d37900f1a320665bf6c72030be9e Mon Sep 17 00:00:00 2001
From: Carlo Landmeter <[email-masked]>
Date: Tue, 6 Jan 2009 15:48:47 +0000
Subject: [PATCH] extra/irssi new aport

---
 extra/irssi/APKBUILD |   24 ++++++++++++++++++++++++
 1 files changed, 24 insertions(+), 0 deletions(-)
 create mode 100644 extra/irssi/APKBUILD

diff --git a/extra/irssi/APKBUILD b/extra/irssi/APKBUILD
new file mode 100644
index 0000000..eb12e94
--- /dev/null
+++ b/extra/irssi/APKBUILD
@@ -0,0 +1,24 @@
+# Maintainer: Carlo Landmeter <clandmeter at gmail.com>
+pkgname=irssi
+pkgver=0.8.12
+pkgrel=0
+pkgdesc="A modular textUI IRC client with IPv6 support"
+url="http://irssi.org/"
+license='GPL'
+depends="glib ncurses openssl"
+makedepends="glib-dev openssl-dev ncurses-dev"
+source="http://irssi.org/files/irssi-0.8.12.tar.bz2"
+subpackages="$pkgname-doc"
+
+build() {
+	cd "$srcdir/$pkgname-$pkgver"
+
+	./configure --prefix=/usr \
+        --sysconfdir=/etc \
+        --mandir=/usr/share/man \
+        --with-perl=no
+        make || return 1
+        make DESTDIR="$pkgdir/" install
+}
+
+md5sums="e407b557b3cfc7c91ce4de2571dd79cb  irssi-0.8.12.tar.bz2"
-- 
1.5.6.4